## ocrmypdf 4.2.2

=== requirements.txt ===
# requirements.txt can be used to replicate the developer's build environment
# setup.py lists a separate set of requirements that are looser to simplify
# installation
ruffus==2.6.3
Pillow==3.3.0
reportlab==3.2.0
PyPDF2==1.26
img2pdf==0.2.1
cffi==1.5.2

=== debian/changelog ===
ocrmypdf (4.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Append to 0001-patch-test-suite-executable.patch for new stdin test.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 27 Aug 2016 07:36:15 -0700

ocrmypdf (4.2.1+git.20160824.1.5d67cc7-1) unstable; urgency=medium

  * New upstream release.
  * Add missing dependency on python3-pkg-resources (Closes: #835272).
    Thanks to James Murphy for reporting this.
    Eventually the dependency should be included in setup.py: see
    https://github.com/jbarlow83/OCRmyPDF/issues/87

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 24 Aug 2016 17:47:16 -0700

ocrmypdf (4.2-1) unstable; urgency=medium

  * New upstream release.
  * Tighten build-dependencies on python3-pypdf2 and python3-img2pdf.
    Upstream changes mean these dependencies are tightened in
    ${python3:Depends}.  Tightening the build-deps too ensures the test
    suite will run correctly at package build time.
  * Drop bash autopkgtest dependency.
    Shouldn't depend on "Essential: yes" packages.
  * Refresh 0001-patch-test-suite-executable.patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 17 Aug 2016 12:45:37 -0700

ocrmypdf (4.1.4-2) unstable; urgency=medium

  * Slightly loosen ghostscript dependency to allow ocrmypdf to migrate
    to Ubuntu.
    Thanks to Gianfranco Costamagna for the diff.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 02 Aug 2016 10:20:56 -0700

ocrmypdf (4.1.4-1) unstable; urgency=medium

  * New upstream release.
  * Add ocrmypdf.egg-info/ to debian/clean.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 31 Jul 2016 09:04:58 -0700

ocrmypdf (4.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Add new tests/resources/encrypted_algo4.pdf to d/copyright.
    Upstream reports that it is based on jbig2.pdf.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 03 Jul 2016 12:43:56 +0900

ocrmypdf (4.1.2-1) unstable; urgency=medium

  * Package new upstream version.
    - New dependency on icc-profiles-free.
    - Use dh_link to replace sRGB.icc with a link to the file
      icc-profiles-free installs (which is identical).
    - Update d/copyright to include sRGB.icc.
      Information lifted from d/copyright of src:icc-profiles.
  * Tighten python3-ruffus dependency to << 2.6.3+dfsh.
    ocrmypdf implements a workaround for a bug present in python3-ruffus
    <=2.6.3.  ocrmypdf's author reports that this workaround should not be
    used with the next release of python3-ruffus, which will contain a fix
    for the bug.
    Thanks to Bernhard R. Link for the '+dfsh' formulation, which ensures
    that new Debian revisions, DFSG repacks (e.g. dfsg2), NMUs and binNMUs
    of version 2.6.3 satisfy the dependency but (e.g.) version 2.6.3.1
    does not.  This is required because python3-ruffus does not appear to
    have a version number policy.
  * Simplify code determining SETUPTOOLS_SCM_PRETEND_VERSION.
  * Patch pytest.ini to exclude .pc.
    Test suite no longer runs `rm -r .pc', which was in violation of DEP-8
    rw-build-tree restriction's requirement that the build tree can be
    returned to its original state with `debian/rules clean'.
  * Use bash pipefail option to ensure adt-run recognises autopkgtest test
    suite failures.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 13 May 2016 12:46:02 -0700

ocrmypdf (4.0.7-2) unstable; urgency=low

  * Switch to depend and build-depend on libjpeg-turbo instead of libjpeg8.
    Thanks to Pino Toscano for the suggestion.  (Closes: #822535)
  * Fix autopkgtest:
    - Set SETUPTOOLS_SCM_PRETEND_VERSION.
    - Use pytest-runner.
    - Delete the .pc directory (and set rw-build-tree restriction).
  * Bump standards version to 3.9.8; no changes required.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 27 Apr 2016 07:45:11 -0700

ocrmypdf (4.0.7-1) unstable; urgency=medium

  * Initial release. (Closes: #813562)

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 03 Mar 2016 22:04:31 -0700

=== debian/control ===
Source: ocrmypdf
Maintainer: Sean Whitton <spwhitton@spwhitton.name>
Section: graphics
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               ghostscript (>= 9.18~dfsg~),
               libjpeg-dev,
               liblept5,
               python3-all,
               python3-cffi,
               python3-img2pdf (>= 0.2.1),
               python3-pil,
               python3-pypdf2 (>= 1.26),
               python3-pytest,
               python3-reportlab,
               python3-ruffus (>= 2.6.3+dfsg),
               python3-ruffus (<< 2.6.3+dfsh),
               python3-setuptools,
               python3-setuptools-scm,
               qpdf,
               tesseract-ocr,
               tesseract-ocr-fra,
               unpaper,
               zlib1g
Testsuite: autopkgtest
Standards-Version: 3.9.8
Homepage: https://github.com/jbarlow83/OCRmyPDF
Vcs-Git: https://git.spwhitton.name/ocrmypdf
Vcs-Browser: https://git.spwhitton.name/?p=ocrmypdf.git;a=summary

Package: ocrmypdf
Architecture: all
Depends: ghostscript (>= 9.18~dfsg~),
         liblept5,
         python3-pil,
         python3-reportlab,
         qpdf,
         tesseract-ocr,
         unpaper,
         zlib1g,
         icc-profiles-free,
         ${misc:Depends},
         python3-ruffus (>= 2.6.3+dfsg),
         python3-ruffus (<< 2.6.3+dfsh),
         ${python3:Depends},
         python3-pkg-resources,
Description: add an OCR text layer to PDF files
 OCRmyPDF generates a searchable PDF/A file from a regular PDF
 containing only images, allowing it to be searched.
 .
 It uses the Tesseract OCR engine and so supports all the languages
 that Tesseract does.
 .
 Some other main features:
 .
   * Places OCR text accurately below the image to ease copy / paste
   * Keeps the exact resolution of the original embedded images
   * When possible, inserts OCR information as a lossless operation
     without rendering vector information
   * Keeps file size about the same
   * If requested deskews and/or cleans the image before performing OCR
   * Validates input and output files
   * Provides debug mode to enable easy verification of the OCR results
   * Processes pages in parallel when more than one CPU core is
     available
   * Battle-tested on thousands of PDFs, a test suite and continuous
     integration.

=== debian/rules ===
#!/usr/bin/make -f

# instruct pybuild to run upstream's test suite using py.test
export PYBUILD_TEST_PYTEST=1

# determine upstream version to be used in other env vars
export DEB_UPSTREAM_VERSION = \
	$(shell dpkg-parsechangelog -SVersion | cut -d- -f1)

# setuptools-scm's heuristics fail to determine the package version
# which causes the build to fail, so just override it
export SETUPTOOLS_SCM_PRETEND_VERSION = ${DEB_UPSTREAM_VERSION}

# upstream's test suite is designed to run when OCRmyPDF is already
# installed, so we need to
# (1) provide the test suite with the OCRmyPDF.sh script; and
# (2) hardcode the current version as otherwise the ocrmypdf tries
#     to determine the installed version which can fail or can be
#     different from the version we want to test
export PYBUILD_BEFORE_TEST= \
	cp {dir}/OCRmyPDF.sh {build_dir} ; \
	sed -i -e "s/^VERSION = .*$$/VERSION = \"${DEB_UPSTREAM_VERSION}\"/" \
		{build_dir}/ocrmypdf/main.py
# ... and then remove OCRmyPDF.sh so it doesn't get installed in /usr
export PYBUILD_AFTER_TEST = rm {build_dir}/OCRmyPDF.sh

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs RELEASE_NOTES.rst

# requires ocrmypdf already installed!
.PHONY: gen-man-page
gen-man-page:
	help2man ocrmypdf --no-info \
		-n "add an OCR text layer to PDF files" \
		> debian/ocrmypdf.1

=== debian/tests/control ===
Tests: test-suite
Restrictions: rw-build-tree
# ^ pytest-runner writes stuff to the source tree
Depends: @, @builddeps@, dpkg-dev, python3-pytest-runner

=== debian/watch ===
# please also check http://pypi.debian.net/ocrmypdf/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/ocrmypdf/ocrmypdf-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## ocrmypdf 4.3.5

=== requirements.txt ===
# requirements.txt can be used to replicate the developer's build environment
# setup.py lists a separate set of requirements that are looser to simplify
# installation
ruffus==2.6.3
Pillow==4.0.0
reportlab==3.3.0
PyPDF2==1.26
img2pdf==0.2.1
cffi==1.9.1

=== debian/changelog ===
ocrmypdf (4.3.5-3) unstable; urgency=high

  * Backport upstream's workaround for Ghostscript 9.20 "VMerror (-25)"
    (upstream commit e71e8ca) (Closes: #861574).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 30 Apr 2017 16:21:55 -0700

ocrmypdf (4.3.5-2) unstable; urgency=medium

  * Remove restriction on python3-pil build-dep & dep.
    OCRmyPDF works with both pillow 3.4.2 and pillow 4.0.0.  The
    restriction was to avoid python3-pil 4.0.0-1 and 4.0.0-2, which are no
    longer in any Debian suite.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 24 Jan 2017 11:50:32 -0700

ocrmypdf (4.3.5-1) unstable; urgency=medium

  * New upstream release.
  * Tighten python3-pil build-dep & dep to >= 4.0.0-3 (Closes: #851011).

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 11 Jan 2017 14:21:08 -0700

ocrmypdf (4.3.4-2) unstable; urgency=medium

  Binary packages:
  * bin:ocrmypdf now suggests img2pdf.
  * Remove claim from --help output and manpage that the img2pdf utility
    is installed as a dependency of ocrmypdf.

  Source package:
  * Drop obsolete README.source.
    All DFSG-freeness issues resolved a while ago.
  * Switch to dgit-maint-merge(7) workflow.
    - Add debian/source/patch-header.
    - Set single-debian-patch & auto-commit in d/source/options.
  * Update Vcs-*.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 02 Jan 2017 23:01:10 +0000

ocrmypdf (4.3.4-1) unstable; urgency=medium

  * New upstream release.
  * Add d/copyright stanza for tests/resources/{typewriter.png,2400dpi.pdf}

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 17 Dec 2016 17:08:35 +0000

ocrmypdf (4.3.3-1) unstable; urgency=medium

  * New upstream release (Closes: #846684).
  * Refresh patch-docs-for-Debian.patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 03 Dec 2016 08:30:51 -0700

ocrmypdf (4.3.2-2) unstable; urgency=medium

  * Try upload again: sponsor's debsign failed after push to dgit-repos.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 12 Nov 2016 10:31:06 -0700

ocrmypdf (4.3.2-1) unstable; urgency=medium

  * New upstream release.
    - Remove dropped tasks.py from d/copyright.
    - Add new tests/resources/rotated_skew.pdf to d/copyright.
    - Move tests/resources/skew{,-encrypted}.pdf under correct stanza.
      They are based on LinnSequencer.jpg, not a public domain resource.
  * New ocrmypdf-doc binary package: upstream's new HTML documentation.
    - Set PYBUILD_DESTDIR in d/rules.
    - Add override_dh_{auto_build,installdocs,sphinxdoc} targets to d/rules.
    - ocrmypdf suggests python-watchdog.
      See "Cookbook" documentation entry.
    - New build dependencies:
      - python3-sphinx
      - python3-sphinx-rtd-theme
  * Add doc-base registration.
  * Add patch-docs-for-Debian.patch
  * Add path-to-docs-for-Debian.patch
  * Add pip-to-apt-get.patch
  * Bump debhelper compat & build-dep to 10.
  * Run wrap-and-sort -abst.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 12 Nov 2016 09:15:32 -0700

ocrmypdf (4.2.5-1) unstable; urgency=medium

  * New upstream release.
    - Add copyright file entry for tests/resources/epson.pdf.
  * Drop disable-milk.pdf-test.patch.
    Non-free milk.pdf has been replaced by free epson.pdf.
  * Drop pytest-exclude-.git.patch.
    Merged upstream.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 21 Oct 2016 13:45:53 -0700

ocrmypdf (4.2.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Add copyright file entries for several new files.
  * Drop all existing patches.
    Obsoleted by upstream changes.
  * Add disable-milk.pdf-test.patch
  * Add pytest-exclude-.git.patch

  Build:
  * Run test suite with pytest-runner, bypassing pybuild buildsystem.
    This is necessary to successfully run the test suite in advance of
    ocrmypdf being installed.  Previously we used OCRmyPDF.sh to achieve
    this, but that script has been deprecated by upstream.
    - New build dependency on python3-pytest-runner.

  autopkgtest:
  * Run py.test-3 rather than `python3 setup.py test`.
    - Drop obsolete STDERR filtering.
  * Ensure we are testing the installed package, by renaming the 'ocrmypdf'
    directory for the duration of the tests.
  * Drop superfluous dependencies dpkg-dev & python3-pytest-runner.

  Metadata:
  * Add Files-Excluded field to d/copyright.
    Handle new non-free test resource in upstream releases.
  * Rewrite d/watch to pull from GitHub repository, not PyPi.
    This is where I have always actually been packaging from.
  * Bump copyright years.
  * Update README.source.
  * Point Vcs-* at the dgit-repos.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 15 Sep 2016 08:20:54 -0700

=== debian/control ===
Source: ocrmypdf
Maintainer: Sean Whitton <spwhitton@spwhitton.name>
Section: graphics
Priority: optional
Build-Depends:
 debhelper (>= 10),
 dh-python,
 ghostscript (>= 9.18~dfsg~),
 libjpeg-dev,
 liblept5,
 python3-all,
 python3-cffi,
 python3-img2pdf (>= 0.2.1),
 python3-pil,
 python3-pypdf2 (>= 1.26),
 python3-pytest,
 python3-pytest-runner,
 python3-reportlab,
 python3-ruffus (<< 2.6.3+dfsh),
 python3-ruffus (>= 2.6.3+dfsg),
 python3-setuptools,
 python3-setuptools-scm,
 python3-sphinx (>= 1.4.8),
 python3-sphinx-rtd-theme,
 qpdf,
 tesseract-ocr,
 tesseract-ocr-fra,
 unpaper,
 zlib1g,
Testsuite: autopkgtest
Standards-Version: 3.9.8
Homepage: https://github.com/jbarlow83/OCRmyPDF
Vcs-Browser: https://git.spwhitton.name/ocrmypdf
Vcs-Git: https://git.spwhitton.name/ocrmypdf -b debian

Package: ocrmypdf
Architecture: all
Depends:
 ghostscript (>= 9.18~dfsg~),
 icc-profiles-free,
 liblept5,
 python3-pil,
 python3-pkg-resources,
 python3-reportlab,
 python3-ruffus (<< 2.6.3+dfsh),
 python3-ruffus (>= 2.6.3+dfsg),
 qpdf,
 tesseract-ocr,
 unpaper,
 zlib1g,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 ocrmypdf-doc,
 python-watchdog,
 img2pdf,
Description: add an OCR text layer to PDF files
 OCRmyPDF generates a searchable PDF/A file from a regular PDF
 containing only images, allowing it to be searched.
 .
 It uses the Tesseract OCR engine and so supports all the languages
 that Tesseract does.
 .
 Some other main features:
 .
   * Places OCR text accurately below the image to ease copy / paste
   * Keeps the exact resolution of the original embedded images
   * When possible, inserts OCR information as a lossless operation
     without rendering vector information
   * Keeps file size about the same
   * If requested deskews and/or cleans the image before performing OCR
   * Validates input and output files
   * Provides debug mode to enable easy verification of the OCR results
   * Processes pages in parallel when more than one CPU core is
     available
   * Battle-tested on thousands of PDFs, a test suite and continuous
     integration.

Package: ocrmypdf-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Built-Using: ${sphinxdoc:Built-Using}
Description: add an OCR text layer to PDF files - documentation
 OCRmyPDF generates a searchable PDF/A file from a regular PDF
 containing only images, allowing it to be searched.
 .
 It uses the Tesseract OCR engine and so supports all the languages
 that Tesseract does.
 .
 This package includes OCRmyPDF's HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f

# needed as we have more than one binary package
export PYBUILD_DESTDIR=debian/ocrmypdf

# determine upstream version to be used in other env vars
export DEB_UPSTREAM_VERSION = \
	$(shell dpkg-parsechangelog -SVersion | cut -d- -f1)

# setuptools-scm's heuristics fail to determine the package version
# which causes the build to fail, so just override it
export SETUPTOOLS_SCM_PRETEND_VERSION = ${DEB_UPSTREAM_VERSION}

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs RELEASE_NOTES.rst

# upstream's doc build assumes that ocrmypdf is already installed, and
# tries to find its version with pkg_resources.  Here we make our own
# copy and patch in the version string, and build the docs based on
# that.  Better than a quilt patch which would have to be updated
# every upstream release
override_dh_auto_build:
	mkdir -p debian/.debhelper
	cp -R ocrmypdf debian/.debhelper
	sed -i debian/.debhelper/ocrmypdf/__init__.py -e \
		"s|^VERSION =.*|VERSION = \"$(DEB_UPSTREAM_VERSION)\"|"
	PYTHONPATH=debian/.debhelper sphinx-build docs html
	dh_auto_build -O--buildsystem=pybuild

# don't install installation instructions
override_dh_installdocs:
	dh_installdocs -Xinstallation.html
override_dh_sphinxdoc:
	dh_sphinxdoc -Xinstallation.html

# the pybuild build system does not yet support running py.test tests
# with pytest-runner  (pytest-runner is necessary to run the test
# suite in advance of ocrmypdf being installed)
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 setup.py test
endif

# requires ocrmypdf already installed!
.PHONY: gen-man-page
gen-man-page:
	help2man ocrmypdf --no-info \
		-n "add an OCR text layer to PDF files" \
		> debian/ocrmypdf.1

=== debian/tests/control ===
Tests: test-suite
Restrictions: rw-build-tree
# ^ pytest-runner writes stuff to the source tree
Depends: @, @builddeps@

## ocrmypdf 6.1.2

=== requirements.txt ===
# requirements.txt can be used to replicate the developer's build environment
# setup.py lists a separate set of requirements that are looser to simplify
# installation
ruffus == 2.6.3
Pillow == 5.0.0
reportlab == 3.4.0
PyPDF2 == 1.26.0
img2pdf == 0.2.4
cffi == 1.11.5
PyMuPDF == 1.12.4

=== debian/changelog ===
ocrmypdf (6.1.2-1ubuntu1) bionic; urgency=medium

  * XFAIL tests failing on big-endian architectures,
    see Debian bug #849094

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 24 Apr 2018 21:49:47 +0000

ocrmypdf (6.1.2-1) unstable; urgency=low

  * New upstream release (Closes: #888917).
  * Various updates to d/copyright due to project relicensing and source
    tree rearrangement.
    - Additionally update upstream contact e-mail address.
    - Additionally use https for Format: field.
  * Add python3-defusedxml build-dep.
  * Drop python3-pytest-xdist autopkgtest dependency.
  * Drop SETUPTOOLS_SCM_PRETEND_VERSION hack from d/rules.
    Obsoleted by upstream changes.
  * Update override_dh_auto_build for source tree rearrangement.
  * Update d/tests/control for source tree rearrangement.
  * Add README.Debian about the lack of PyMuPDF support.
  * Add debian/NEWS to detail breaking changes in command line interface.
    Breaking changes in the ocrmypdf library are not detailed because
    ocrmypdf is not considered to provide a stable public API.
  * Expand reasoning in first bullet point of 5.5-2 changelog entry.
  * Patch setup.py to remove addopts key under tool:pytest section.
    The '-n' command line option is not supported by recent pytest.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 31 Mar 2018 11:30:50 -0700

ocrmypdf (5.5-2) unstable; urgency=medium

  * Disable test suite at package build time.
    Rely on autopkgtest instead.  The test suite now takes a prohibitively
    long time to run; upstream expects it to be run after OCRmyPDF is
    installed so running it during the build relies on fragile code in
    d/rules; and it requires a number of heavy build dependencies which
    makes it less convenient to build the package, and to backport the
    package to Debian stable.
  * Move test suite dependencies d/control -> d/tests/control.
  * Set PYBUILD_INSTALL_ARGS to pass --force to setup.py.
    This prevents the build from aborting because tools like unpaper, qpdf
    etc. are not installed.  These programs are not actually needed to
    build the package.
  * Demote unpaper Depends -> Recommends.
    Upstream considers it to be optional.
  * Add --locale to help2man call in gen-man-page target.
  * Regenerate manpage.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 27 Jan 2018 12:10:23 -0700

ocrmypdf (5.5-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 20 Jan 2018 12:22:12 -0700

ocrmypdf (5.4.4-1) unstable; urgency=medium

  * New upstream release.
  * Add new build-dep for test suite: python3-pytest-timeout.
  * Update sed(1) call in override_dh_auto_build for changes to __init__.py.
  * Update d/copyright.
    - Upstream have listed Julien Pfefferkorn in LICENSE.rst but the diff
      between upstream releases shows that he holds copyright on
      hocrtransform.py alone.  Thus, he is not listed under "Files: *".
  * Declare compliance with Debian Policy 4.1.2.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 16 Dec 2017 11:48:57 -0700

ocrmypdf (5.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop Testsuite: field.
    See Lintian tag unnecessary-testsuite-autopkgtest-header.
  * Bump standards version to 4.1.1 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 14 Oct 2017 10:46:45 -0700

ocrmypdf (5.3.2-1) unstable; urgency=medium

  * New upstream release (LP: #1687308).
    - New test suite dependencies: pytest-helpers-namespace; pytest-cov;
      pytest-xdist
  * d/rules:
    - update path to upstream's release notes
    - use $DEB_VERSION_UPSTREAM instead of dpkg-parsechangelog
    - export LC_ALL=C.UTF-8
      The upstream build (and especially test suite) now requires a
      Unicode locale.
      For general information: https://bugs.python.org/issue19846
  * d/copyright:
    - Drop stanza for OCRmyPDF.sh.
      No longer included in upstream's release.
    - Merge stanzas for James R. Barlow & "The OCRmyPDF Authors".
    - Add entries for poster.pdf, overlay.pdf, baiona*.png.
    - Add stanza for pdfa.py.
    - Bump copyright years.
  * Drop patch to test_main.py.
  * Backport upstream commit 82ebd8e to fix a failing test.
  * Bump standards version to 4.1.0 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 01 Sep 2017 13:51:02 -0700

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,17 @@
 Source: ocrmypdf
-Maintainer: Sean Whitton <spwhitton@spwhitton.name>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sean Whitton <spwhitton@spwhitton.name>
 Section: graphics
 Priority: optional
 Build-Depends:
  debhelper (>= 10),
  dh-python,
- ghostscript (>= 9.18~dfsg~),
- libjpeg-dev,
- liblept5,
  python3-all,
  python3-cffi,
+ python3-defusedxml,
  python3-img2pdf (>= 0.2.1),
  python3-pil,
  python3-pypdf2 (>= 1.26),
- python3-pytest,
  python3-pytest-runner,
  python3-reportlab,
  python3-ruffus (<< 2.6.3+dfsh),
@@ -22,13 +20,7 @@
  python3-setuptools-scm,
  python3-sphinx (>= 1.4.8),
  python3-sphinx-rtd-theme,
- qpdf,
- tesseract-ocr,
- tesseract-ocr-fra,
- unpaper,
- zlib1g,
-Testsuite: autopkgtest
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Homepage: https://github.com/jbarlow83/OCRmyPDF
 Vcs-Browser: https://git.spwhitton.name/ocrmypdf
 Vcs-Git: https://git.spwhitton.name/ocrmypdf -b debian
@@ -46,10 +38,10 @@
  python3-ruffus (>= 2.6.3+dfsg),
  qpdf,
  tesseract-ocr,
- unpaper,
  zlib1g,
  ${misc:Depends},
  ${python3:Depends},
+Recommends: unpaper
 Suggests:
  ocrmypdf-doc,
  python-watchdog,

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=s/\+dfsg\d*$//" \
https://github.com/jbarlow83/OCRmyPDF refs/tags/v([\d\.\d\.]+) debian

## ocrmypdf 6.2.4

=== requirements.txt ===
# requirements.txt can be used to replicate the developer's build environment
# setup.py lists a separate set of requirements that are looser to simplify
# installation
ruffus == 2.7.0
Pillow == 5.2.0
reportlab == 3.4.0
PyPDF2 == 1.26.0
img2pdf == 0.2.4
cffi == 1.11.5
PyMuPDF == 1.12.5
defusedxml == 0.5.0

=== debian/changelog ===
ocrmypdf (6.2.4-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 23 Sep 2018 07:58:48 -0700

ocrmypdf (6.2.4-1) unstable; urgency=medium

  * New upstream release (Closes: #908937).
    Thank you to upstream for backporting the fix.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 17 Sep 2018 06:52:05 -0700

ocrmypdf (6.2.3-1) unstable; urgency=medium

  * New upstream release (Closes: #904185).
    Thank you to upstream for the fix.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 02 Aug 2018 14:01:46 +0800

ocrmypdf (6.2.2-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Revert upstream's backported fix for ruffus 2.7 since stretch has
    older ruffus.
    (Revert parts of upstream commits 70aa644c and 8f8e6dcd touching
    src/ocrmypdf/__main__.py)
    - Adjust bounds on python3-ruffus {build-,}dep accordingly.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 21 Jul 2018 17:42:26 +0800

ocrmypdf (6.2.2-2) unstable; urgency=medium

  * Tighten {build-,}dependency on python3-ruffus to require 2.7 (Closes:
    #903811).
    Thanks to Paul Gevers for the report.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 15 Jul 2018 18:15:58 +0100

ocrmypdf (6.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Loosen {build-,}dependency on python3-ruffus (Closes: #903627).

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 13 Jul 2018 17:28:42 +0100

ocrmypdf (6.2.0-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Tighten dependency on qpdf to ensure the backport gets installed.
    With qpdf 7.0.0 or newer, OCRmyPDF produces better output.  So what we
    want to achieve is the semantic meaning of:
        Depends: qpdf
        Recommends: qpdf (>= 7.0.0)
    However, these lines won't cause apt to install qpdf from
    stretch-backports.  So we add a hard dependency on qpdf (>= 7.0.0) to
    ensure that happens, which is most useful to users.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 11 May 2018 20:01:12 -0700

ocrmypdf (6.2.0-1) unstable; urgency=medium

  * New upstream release.
    - Tighten dependency on qpdf to 7.0.0 or newer.
  * Fix excluding installation instructions from bin:ocrmypdf-doc.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 05 May 2018 12:12:22 -0700

ocrmypdf (6.1.2-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Tighten dependency on qpdf to ensure the backport gets installed.
    With qpdf 7.0.0 or newer, OCRmyPDF produces better output.  So what we
    want to achieve is the semantic meaning of:
        Depends: qpdf
        Recommends: qpdf (>= 7.0.0)
    However, these lines won't cause apt to install qpdf from
    stretch-backports.  So we add a hard dependency on qpdf (>= 7.0.0) to
    ensure that happens, which is most useful to users.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 11 Apr 2018 14:40:26 -0700

ocrmypdf (5.5-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 04 Feb 2018 11:24:44 -0700

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: ocrmypdf
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sean Whitton <spwhitton@spwhitton.name>
+Maintainer: Sean Whitton <spwhitton@spwhitton.name>
 Section: graphics
 Priority: optional
 Build-Depends:
@@ -36,7 +35,7 @@
  python3-reportlab,
  python3-ruffus (<< 2.6.3+dfsh),
  python3-ruffus (>= 2.6.3+dfsg),
- qpdf,
+ qpdf (>= 7.0.0),
  tesseract-ocr,
  zlib1g,
  ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# needed as we have more than one binary package
export PYBUILD_DESTDIR=debian/ocrmypdf

# This prevents setup.py from aborting because programs like qpdf,
# tesseract etc. are not installed.  This avoids us having to include
# those are build-depends.
#
# Note that this is a non-standard option implemented by OCRmyPDF's
# setup.py.
export PYBUILD_INSTALL_ARGS = --force

# deal with unicode encoding/decoding errors throughout the package
# build, and especially the test suite.  This isn't needed in
# d/tests/test-suite because autopkgtest sets LANG=C.UTF-8 (see
# locale(7) for the difference between LC_ALL and LANG; using LC_ALL
# here makes the package build more robust because LC_ALL overrides
# all other locale variables, whereas LANG does not)
export LC_ALL=C.UTF-8

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs docs/release_notes.rst

# upstream's doc build assumes that ocrmypdf is already installed, and
# tries to find its version with pkg_resources.  Here we make our own
# copy and patch in the version string, and build the docs based on
# that.  Better than a quilt patch which would have to be updated
# every upstream release
override_dh_auto_build:
	mkdir -p debian/.debhelper
	cp -R src/ocrmypdf debian/.debhelper
	sed -i debian/.debhelper/ocrmypdf/__init__.py -e \
		"s|^__version__ =.*|__version__ = \"$(DEB_VERSION_UPSTREAM)\"|"
# disabled pending updates to debhelper for 'nodoc' / compat 11
#ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=debian/.debhelper sphinx-build docs html
#endif
	dh_auto_build -O--buildsystem=pybuild

# don't install installation instructions
override_dh_install:
	dh_install -Xinstallation
override_dh_sphinxdoc:
	dh_sphinxdoc -Xinstallation

# The test suite takes longer and longer to run, so we have disabled
# it at package build time and are relying on autopkgtest.  This also
# eases backporting ocrmypdf
override_dh_auto_test:

# # this override is needed because the pybuild build system does not
# # yet support running py.test tests with pytest-runner (pytest-runner
# # is necessary to run the test suite in advance of ocrmypdf being
# # installed)
# override_dh_auto_test:
# ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
# 	python3 setup.py test
# endif

# requires ocrmypdf already installed!
.PHONY: gen-man-page
gen-man-page:
	help2man ocrmypdf --no-info \
		-n "add an OCR text layer to PDF files" \
		--locale="C.UTF-8" \
		> debian/ocrmypdf.1

## ocrmypdf 8.0.1+dfsg

=== debian/changelog ===
ocrmypdf (8.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 26 Jan 2019 13:18:54 -0700

ocrmypdf (8.0.0+dfsg-3) unstable; urgency=medium

  * Require python3-pdfminer (>= 20181108+dfsg-3).

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 14 Jan 2019 19:27:28 -0700

ocrmypdf (8.0.0+dfsg-2) unstable; urgency=medium

  * Revert changes in previous upload that disabled usage of pdfminer.six.
    It turns out that the blocking problem was not #886291, but instead
    the problem fixed by the 20181108+dfsg-3 upload of src:pdfminer.
    Thanks to Daniele Tricoli for the fix.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 14 Jan 2019 19:19:45 -0700

ocrmypdf (8.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Add tests/resources/enron1.pdf to Files-Excluded
      See https://github.com/pikepdf/pikepdf/issues/21
    - Patch out test_prevent_gs_invalid_xml
      This test requires tests/resources/enron1.pdf
    - Tighten dependency on tesseract-ocr.
    - Tighten {build-,}dep on pikepdf.
  * Drop dependencies on python3-pdfminer & patch pdfminer.six out of setup.py.
    OCRmyPDF's usage of pdfminer is broken due to #886291.  The problem is
    not likely to be fixed in time for the buster freeze, so disable
    pdfminer functionality for now.
    Also see https://github.com/jbarlow83/OCRmyPDF/issues/339
  * Drop bogus Debian changes to upstream file tests/test_main.py by
    checking out the file from tag v8.0.0+dfsg (Closes: #918891).
    The changes were introduced in upstream releases 6.2.4 and 6.2.5 and
    dropped by 7.4.0.  The merge of upstream version 7.4.0 into the Debian
    packaging branch was not done correctly, such that the changes
    remained.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 11 Jan 2019 17:49:29 -0700

ocrmypdf (7.4.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 06 Jan 2019 20:12:22 +0000

ocrmypdf (7.4.0-2) experimental; urgency=medium

  * Regenerate manpage.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 04 Jan 2019 17:38:59 +0000

ocrmypdf (7.4.0-1) experimental; urgency=medium

  * New upstream release.
    - Tighten {build-,}deps on python3-img2pdf, python3-pikepdf, python3-ruffus
    - Drop python3-libxmp build-dep and autopkgtest dep
    - Add python3-pdfminer versioned {build-,}dep.
    - Add python3-cffi autopkgtest dep.
  * In override_dh_auto_build, delete the line `from . import leptonica`
    from debian/.debhelper/ocrmypdf/__init__.py.
    The directory debian/.debhelper/ocrmypdf is just a hack so that
    upstream's doc build can find the version number, and the cffi setup
    does not work inside debian/.debhelper/ocrmypdf, so avoid the dlopen
    attempt.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 04 Jan 2019 14:51:06 +0000

ocrmypdf (7.2.1-1) experimental; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 20 Oct 2018 13:04:40 -0700

ocrmypdf (7.2.0-2) experimental; urgency=medium

  * Add pngquant to autopkgtest deps.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 10 Oct 2018 17:42:10 -0700

ocrmypdf (7.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Patch setup.py to not require setuptools_scm_git_archive.
    Pending the resolution of #910742.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 10 Oct 2018 08:38:26 -0700

ocrmypdf (7.0.2-1) experimental; urgency=medium

  * New upstream release.
    - Recommend pngquant
    - Require qpdf 8.0.2
    - Add python3-pikepdf, python3-pycparser build-deps
    - Add python3-libxmp build-dep & autopkgtest dep
    - Move python3-pypdf2 build-dep to autopkgtest deps.
    - Drop python3-defusedxml build-dep
    - Drop python3-pytest-timeout autopkgtest dep.
  * Update d/copyright for replacement LinnSequencer.jpg->linn.png.
  * Drop README.Debian
    This version of OCRmyPDF does not use PyMuPDF.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 02 Sep 2018 10:25:25 -0700

ocrmypdf (6.2.5-2) unstable; urgency=medium

  * Fix path in debian/clean (Closes: #913623).
    Thanks to Graham Inggs for the report and patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 14 Nov 2018 09:24:33 -0700

ocrmypdf (6.2.5-1) unstable; urgency=medium

  * New upstream release (Closes: #912001).
    Thank you to upstream for the fix.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 29 Oct 2018 17:23:44 -0700

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,18 @@
  dh-python,
  python3-all,
  python3-cffi,
- python3-defusedxml,
- python3-img2pdf (>= 0.2.1),
+ python3-img2pdf (>= 0.3.0),
+ python3-pikepdf (>= 1.0.2),
  python3-pil,
- python3-pypdf2 (>= 1.26),
+ python3-pycparser,
  python3-pytest-runner,
  python3-reportlab,
- python3-ruffus (<< 2.6.3+dfsh),
- python3-ruffus (>= 2.6.3+dfsg),
+ python3-ruffus (>= 2.8),
  python3-setuptools,
  python3-setuptools-scm,
  python3-sphinx (>= 1.4.8),
  python3-sphinx-rtd-theme,
+ python3-pdfminer (>= 20181108+dfsg-3),
 Standards-Version: 4.1.2
 Homepage: https://github.com/jbarlow83/OCRmyPDF
 Vcs-Browser: https://git.spwhitton.name/ocrmypdf
@@ -30,17 +30,19 @@
  ghostscript (>= 9.18~dfsg~),
  icc-profiles-free,
  liblept5,
+ python3-pdfminer (>= 20181108+dfsg-3),
+# ^ an unversioned pdfminer dep is included in ${python3:Depends} but ocrmypdf needs the new fork
  python3-pil,
  python3-pkg-resources,
  python3-reportlab,
- python3-ruffus (<< 2.6.3+dfsh),
- python3-ruffus (>= 2.6.3+dfsg),
- qpdf (>= 7.0.0),
- tesseract-ocr,
+ python3-ruffus (>= 2.8),
+ qpdf (>= 8.0.2),
+ tesseract-ocr (>= 4.0.0),
  zlib1g,
  ${misc:Depends},
  ${python3:Depends},
-Recommends: unpaper
+Recommends: unpaper,
+ pngquant,
 Suggests:
  ocrmypdf-doc,
  python-watchdog,

=== debian/rules ===
--- 
+++ 
@@ -37,6 +37,10 @@
 	cp -R src/ocrmypdf debian/.debhelper
 	sed -i debian/.debhelper/ocrmypdf/__init__.py -e \
 		"s|^__version__ =.*|__version__ = \"$(DEB_VERSION_UPSTREAM)\"|"
+# avoid importing leptonica.py because the cffi setup doesn't work in
+# our debian/.debhelper copy
+	sed -i debian/.debhelper/ocrmypdf/__init__.py -e \
+		"/^from \\. import leptonica$$/d"
 # disabled pending updates to debhelper for 'nodoc' / compat 11
 #ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=debian/.debhelper sphinx-build docs html

=== debian/tests/control ===
Tests: test-suite
Restrictions: rw-build-tree
# ^ pytest-runner writes stuff to the source tree
Depends: @,
 libjpeg-dev,
 python3-cffi,
 python3-pypdf2 (>= 1.26),
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-helpers-namespace,
 tesseract-ocr-fra,
 pngquant,
 unpaper,

## ocrmypdf 9.0.3+dfsg

=== debian/changelog ===
ocrmypdf (9.0.3+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #939044, #940497).
  * Add tesseract-ocr-deu to autopkgtest deps (Closes: #935749).

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 18 Sep 2019 16:32:25 -0700

ocrmypdf (9.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #934035).
    - Tighten build-dep on pikepdf to require 1.6.1.
    - Drop deps on ruffus.
    - Drop code in d/rules which passed --force to setup.py.
  * Add docs/images/logo* and misc/media/logo.afdesign to Files-Excluded.
    I cannot confirm that we can regenerate the files in docs/images/ from
    the .afdesign file using tools in Debian main, which latter is
    presumably the preferred form for modification.
  * Newly account for the following files in d/copyright:
    - misc/webservice.py
    - docs/images/bitmap_vs_svg.svg
    - tests/resources/link.pdf
  * Install new bash & fish completion.
    - New build-dep on dh-exec.
  * In response to upstream commit 56a56a4dcb:
    - drop d/rules code to prepare an importable copy of ocrmypdf for the
      docs build
    - patch docs/conf.py to use os.environ['DEB_VERSION_UPSTREAM'] instead
      of calling pkg_resources.get_distribution, which won't work before
      ocrmypdf is installed.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 16 Aug 2019 10:36:12 +0100

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
 Priority: optional
 Build-Depends:
  debhelper (>= 10),
+ dh-exec,
  dh-python,
  python3-all,
  python3-cffi,
  python3-img2pdf (>= 0.3.0),
- python3-pikepdf (>= 1.0.2),
+ python3-pikepdf (>= 1.6.1),
  python3-pil,
  python3-pycparser,
  python3-pytest-runner,
  python3-reportlab,
- python3-ruffus (>= 2.8),
  python3-setuptools,
  python3-setuptools-scm,
  python3-sphinx (>= 1.4.8),
@@ -35,7 +35,6 @@
  python3-pil,
  python3-pkg-resources,
  python3-reportlab,
- python3-ruffus (>= 2.8),
  qpdf (>= 8.0.2),
  tesseract-ocr (>= 4.0.0),
  zlib1g,

## ocrmypdf 9.5.0+dfsg

=== debian/changelog ===
ocrmypdf (9.5.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 02 Feb 2020 19:39:00 -0700

ocrmypdf (9.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright for new files.
  * Drop dependency on qpdf.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 17 Jan 2020 11:28:30 -0700

ocrmypdf (9.1.0+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #944534).
    - Tighten build-dep on python3-pikepdf to require 1.7.0.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 12 Nov 2019 10:00:24 -0700

## ocrmypdf 9.6.0+dfsg

=== debian/changelog ===
ocrmypdf (9.6.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 29 Feb 2020 09:02:01 -0700

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3-all,
  python3-cffi,
  python3-img2pdf (>= 0.3.0),
- python3-pikepdf (>= 1.6.1),
+ python3-pikepdf (>= 1.7.0),
  python3-pil,
  python3-pycparser,
  python3-pytest-runner,
@@ -35,7 +35,6 @@
  python3-pil,
  python3-pkg-resources,
  python3-reportlab,
- qpdf (>= 8.0.2),
  tesseract-ocr (>= 4.0.0),
  zlib1g,
  ${misc:Depends},

=== debian/tests/control ===
--- 
+++ 
@@ -9,5 +9,6 @@
  python3-pytest-cov,
  python3-pytest-helpers-namespace,
  tesseract-ocr-fra,
+ tesseract-ocr-deu,
  pngquant,
  unpaper,

## ocrmypdf 10.3.1+dfsg

=== debian/changelog ===
ocrmypdf (10.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #962872).
  * Add tests/plugins/* and misc/watcher.py to d/copyright.
  * Add comment to tests/resources/typewriter.png stanza
    Thanks to upstream.
  * Add deps on python3-pluggy and python3-coloredlogs.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 27 Jul 2020 10:30:04 -0700

ocrmypdf (9.8.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 17 May 2020 17:21:32 -0700

ocrmypdf (9.7.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop old files, subsequently deleted by upstream, from Files-Excluded.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 15 Apr 2020 16:36:40 -0700

=== debian/control ===
--- 
+++ 
@@ -35,6 +35,8 @@
  python3-pil,
  python3-pkg-resources,
  python3-reportlab,
+ python3-pluggy,
+ python3-coloredlogs,
  tesseract-ocr (>= 4.0.0),
  zlib1g,
  ${misc:Depends},

## ocrmypdf 13.4.0+dfsg

=== debian/changelog ===
ocrmypdf (13.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Require pikepdf >=5.0.1 as a simple means to exclude 5.0.0.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 02 Mar 2022 10:33:06 -0700

ocrmypdf (13.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop dependencies on python3-cffi and liblept5.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 23 Dec 2021 15:51:37 -0700

ocrmypdf (12.7.0+dfsg-2) unstable; urgency=medium

  * Tighten build-dep & dep on pikepdf to require >=2.10.0.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 22 Oct 2021 01:07:14 -0700

ocrmypdf (12.7.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Includes updates to d/copyright for license change GPL->MPL.
      See <https://github.com/jbarlow83/OCRmyPDF/issues/600#issuecomment-665998486>
      for full details.  Many thanks to upstream for carefully verifying the
      legitimacy of the relicensing and for updating d/copyright.
  * Add build-deps on python3-importlib-metadata, python3-sphinx-issues.
  * Drop python3-pytest-helpers-namespace from autopkgtest dependencies.
    No longer required by upstream's test suite.
  * Patch pyproject.toml to drop 'addopts' setting which breaks autopkgtest.
    See <https://github.com/jbarlow83/OCRmyPDF/issues/847>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 18 Oct 2021 17:21:07 -0700

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
  dh-exec,
  dh-python,
  python3-all,
- python3-cffi,
  python3-img2pdf (>= 0.3.0),
- python3-pikepdf (>= 1.7.0),
+ python3-importlib-metadata,
+ python3-pikepdf (>= 5.0.1),
  python3-pil,
  python3-pycparser,
  python3-pytest-runner,
@@ -17,6 +17,7 @@
  python3-setuptools,
  python3-setuptools-scm,
  python3-sphinx (>= 1.4.8),
+ python3-sphinx-issues,
  python3-sphinx-rtd-theme,
  python3-pdfminer (>= 20181108+dfsg-3),
 Standards-Version: 4.1.2
@@ -29,12 +30,12 @@
 Depends:
  ghostscript (>= 9.18~dfsg~),
  icc-profiles-free,
- liblept5,
  python3-pdfminer (>= 20181108+dfsg-3),
 # ^ an unversioned pdfminer dep is included in ${python3:Depends} but ocrmypdf needs the new fork
  python3-pil,
  python3-pkg-resources,
  python3-reportlab,
+ python3-pikepdf (>= 2.10.0),
  python3-pluggy,
  python3-coloredlogs,
  tesseract-ocr (>= 4.0.0),

## ocrmypdf 13.7.0+dfsg

=== debian/changelog ===
ocrmypdf (13.7.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add build-dep on python3-setuptools-scm-git-archive.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 16 Aug 2022 14:25:29 -0700

ocrmypdf (13.4.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 15 Apr 2022 14:37:53 -0700

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
  python3-reportlab,
  python3-setuptools,
  python3-setuptools-scm,
+ python3-setuptools-scm-git-archive,
  python3-sphinx (>= 1.4.8),
  python3-sphinx-issues,
  python3-sphinx-rtd-theme,

## ocrmypdf 14.0.1%2Bdfsg1

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: ocrmypdf
-Maintainer: Sean Whitton <spwhitton@spwhitton.name>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Anton Gladky <gladk@debian.org>
 Section: graphics
 Priority: optional
 Build-Depends:
@@ -21,6 +22,7 @@
  python3-sphinx-issues,
  python3-sphinx-rtd-theme,
  python3-pdfminer (>= 20181108+dfsg-3),
+ pybuild-plugin-pyproject
 Standards-Version: 4.1.2
 Homepage: https://github.com/jbarlow83/OCRmyPDF
 Vcs-Browser: https://git.spwhitton.name/ocrmypdf
